/* Andrew Smith
ss.css
2/8/2026 */

/*  This is a CSS reset style rule for the body, header, nav, main, and footer */
body, header, nav, main, footer, h1, div, ul {
	margin: 0;
	padding: 0;
	border: 0;
}

/* Beginning of image style */
img {
    max-width: 100%;
    height: auto;
    display: block;
}

/* Beginning of style with class selector*/
#hero {
	border: 4px solid #000;
}

.topics {
	font-weight: bold;
}

#introduction {
	line-height: 2;
}

/* Beginning of header style */
header {
	background-color: #000000;
	padding: 10px;
	text-align: center;
	font-weight: bold;
}

header h1 {
	text-align: center;
	color: white;
	border: 1px solid white;
	border-radius: 20px 10px;

}

/* Beginner of body style */
body {
	margin: 0;
	padding: 0;
	background-color: black;
}

.color {
	color: white;
}

/* Beginner of nav style. Bullet marker is removed */
nav {
	padding: 1%;
	margin-bottom: 1%;
	border: 1px solid #000;
	border-radius: 5px 10px 8px;
}

nav ul {
	list-style-type: none;
	text-align: center;
	background-color: #000;
}

nav li {
	font-family: "Oswald", sans-serif;
	border-top: 1px solid #fff;
	background-color: #000;
}

nav li:first-child {
	border-top: none;
}

nav li a {
	display: block;
	color: #fff;
	padding: 0.5cm 0.5cm;
	text-decoration: none;
}

.column {
	width: 100%;
}

/* Show mobile class, hide table-desktop class */
.mobile {
	display: block;
}

.tablet-desktop {
	display: none;
}

/* This is the style that I researched, it creates a different color when the hyperlink is hovered on by the mouse */
nav a:hover {
	color: #0041C2;
}

nav a {
	color: white;
	text-decoration: none;
}

/* Beginner of main style with font fallbacks */
main {
	background-color: #ADEBB3;
	color: white;
	padding: 10px;
	font-family: "Roboto Slab", serif;
}

/* Beginning of footer style. */
footer {
	text-align: left;
	color: black;
	padding: 0px;
	line-height: 1.0;
}

.email {
	margin: 0;
	font-style: italic;
}

.email a:hover {
	color: #0041C2;
}

footer p {
	text-align: center;
}

.resize {
	width: 40%;
}
	
/* Style Rules for mobile viewport */

header {
	position: -webkit-sticky;
	position: sticky;
	top: 0;
	background-color: #000;
}

header img {
	margin: 0 auto;
}

/* Media query for tablet viewport */

@media screen and (min-width: 630px), print {
	nav li {
			display: inline-block;
	}

	/* Table viewpoint: Show tablet-desktop class, hide mobile class */

	.tablet-desktop {
		display: block;
	}

	.mobile {
		display: none;
	}
	
	/* Tablet Viewport Style rule for header */

	header {
		position: static;
		padding-bottom: 2%;
	}
	
	/* Tablet Viewport: Style rules for nav area */
	
	nav li {
		border-top: none;
		display: inline-block;
		border-right: 1px solid #fff;
	}
	
	nav li:last-child {
		border-right: none;
	}
	
	nav li a {
		padding: 0.1em 0.75em;
	}
}

/* Media query for desktop viewport */

@media screen and (min-width: 919px), print {

	/* Desktop viewport: Style rule for header */
	
	header {
		width: 35%;
		float: left;
		padding-bottom: 0;
	}

	/* Desktop viewport: Style rules for nav area */
	
	nav {
		float: right;
		width: 60%;
		margin: 0 0 0 0;
		background-color: black;
	}

	nav ul {
		text-align: center;
	}
	
	nav li {
		border: none;
	}
	
	nav li a {
		padding: 0.5em 1em;
	}
	
	/* Desktop viewport: Style rules for main content */
	
	main {
		clear: left;
	}
	
	main h1 {
		font-size: 1.8em;
		background-color: #ADEBB3;
	}
	
	/* Multiple column floats */
	
	.column {
		float: left;
		width: 50%;
	}
	
	.row::after {
		content: "";
		display: table;
		clear: both;
	}
	
	/* Pseudo-class selectors */
	
	nav a:link {
		color: white;
	}
	
	nav a:visited {
		color: #dbbfbf;
	}
	
	nav a:hover {
		color: #e0d5d5;
	}
	
	footer {
		background-color: #ADEBB3;
		border: none;
	}
}

/* Media query for large desktop viewports */

@media screen and (min-width: 1921px) {

	#container {
		width: 1920px;
		margin: 0 auto;
	}
}

/* Media query for print */

@media print {

	body {
		background-color: #fff;
		color: #000;
	}
}

/* Gradient rules */

main {
	background: linear-gradient(black, #ADEBB3);
}

